Skip to content
Documentation

A P I kanalı

Kendi sohbet sisteminizi ClickFix'e kanal olarak bağlama. Müşteri mesajlarını gönderirsiniz; temsilci yanıtları webhook ile size gelir.

POST
/v1/webhooks/channels/api/{instance}

Authorization

apiChannelSignature
headerX-ClickFix-Signature<token>

API kanalının imza anahtarıyla hesaplanan sha256= + hex(HMAC-SHA256(secret, timestamp + "." + ham_gövde)). X-ClickFix-Timestamp (Unix saniye) başlığıyla birlikte gönderilir.

Path Parameters

instance*string

Kanal kurulumunda verilen kanal kimliği.

Header Parameters

X-ClickFix-Timestamp*string

İmzalama anı (Unix saniye).

Request Body

application/json
  1. body
id*string

Stable unique message ID within this instance

Length1 <= length <= 255
sender_id*string
Length1 <= length <= 255
sender_name?string
text*string
Length1 <= length <= 32000
thread_id?string
Lengthlength <= 255
reply_to?string
at?string
Formatdate-time

Response Body

Mesaj alındı.

application/json
  1. response
success*true
Value intrue
data*
meta*
Example Request
curl -X POST 'https://api.getclickfix.com/v1/webhooks/channels/api/string' \  -H 'X-ClickFix-Timestamp: 1761732900' \  -H 'Content-Type: application/json' \  -d '{  "id": "msg-1001",  "sender_id": "musteri-42",  "sender_name": "Ayşe Yılmaz",  "text": "Siparişim ne zaman gelir?"}'
Example Response
{  "success": true,  "data": {    "received": true  },  "meta": {    "request_id": "string"  }}

Header Parameters

X-ClickFix-Timestamp*string

Unix seconds

X-ClickFix-Signature*string

sha256= followed by hex HMAC-SHA256

Idempotency-Key*string
Formatuuid

Request Body

application/json
  1. body

JSON posted to the organization's public webhook URL with timestamped HMAC and Idempotency-Key.

id*string
Formatuuid
conversation_id*string
Formatuuid
recipient_id*string
text*string
thread_id*string
reply_to*string

Response Body

Durably accepted, including duplicate id

Example Requests
POST/apiChannelReply

JSON posted to the organization's public webhook URL with timestamped HMAC and Idempotency-Key.

Request Body
application/json
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",  "recipient_id": "string",  "text": "string",  "thread_id": "string",  "reply_to": "string"}
Header Parameters
{  "X-ClickFix-Timestamp": "string",  "X-ClickFix-Signature": "string",  "Idempotency-Key": "497f6eca-6276-4993-bfeb-53cbbbba6f08"}